# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.56"
name = "tune-cli"
version = "0.22.0"
authors = ["Woyten <woyten.tielesch@online.de>"]
default-run = "tune"
description = "Explore musical tunings and create synthesizer tuning files for microtonal scales."
readme = "README.md"
keywords = ["microtonal", "midi", "scales", "synthesizer", "tuning"]
license = "MIT"
repository = "https://github.com/Woyten/tune/tree/master/tune-cli"
resolver = "2"

[[bin]]
name = "tune-web"
required-features = ["build-tune-web"]
[dependencies.midir]
version = "0.7.0"

[dependencies.serde]
version = "1.0.106"
features = ["derive"]

[dependencies.serde_yaml]
version = "0.8.16"

[dependencies.structopt]
version = "0.3.13"

[dependencies.tune]
version = "0.28.0"

[dependencies.wasm-bindgen]
version = "0.2.69"
optional = true

[dependencies.yew]
version = "0.17.3"
optional = true

[features]
build-tune-web = ["wasm-bindgen", "yew"]
